GNU bug report logs - #35193
[PATCH 0/3] Add python-mypy and required packages

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: JesseJohnGildersleve <JesseJohnGildersleve@HIDDEN>; Keywords: patch; dated Mon, 8 Apr 2019 14:18:02 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 27 Jun 2019 14:11:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 27 10:11:22 2019
Received: from localhost ([127.0.0.1]:39146 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hgV7R-0001zM-Tv
	for submit <at> debbugs.gnu.org; Thu, 27 Jun 2019 10:11:22 -0400
Received: from lists.gnu.org ([209.51.188.17]:59404)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <swedebugia@HIDDEN>) id 1hgV7P-0001zE-R0
 for submit <at> debbugs.gnu.org; Thu, 27 Jun 2019 10:11:20 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:44381)
 by lists.gnu.org with esmtp (Exim 4.86_2)
 (envelope-from <swedebugia@HIDDEN>) id 1hgV7K-0008GV-OZ
 for guix-patches@HIDDEN; Thu, 27 Jun 2019 10:11:19 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.7 required=5.0 tests=BAYES_20,RCVD_IN_DNSWL_LOW,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <swedebugia@HIDDEN>) id 1hgV7J-0008Oj-D4
 for guix-patches@HIDDEN; Thu, 27 Jun 2019 10:11:14 -0400
Received: from mx1.riseup.net ([198.252.153.129]:42390)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <swedebugia@HIDDEN>)
 id 1hgV7J-0008OY-4x
 for guix-patches@HIDDEN; Thu, 27 Jun 2019 10:11:13 -0400
Received: from capuchin.riseup.net (capuchin-pn.riseup.net [10.0.1.176])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 2095B1B9330
 for <guix-patches@HIDDEN>; Thu, 27 Jun 2019 07:11:12 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1561644672; bh=lwvPhKsz+m+whTORS7bZyZYAwRoJoLl+VE5QXAu2K5w=;
 h=Subject:To:References:From:Date:In-Reply-To:From;
 b=HLiLTxyQOjC9YTAESoKBvix6OfMpf0CSUUKzAn1W69qQKCIfAE22vR2TN3eWLL5Sb
 1NVHKa8xWElYMKTlZvvD554K0X5YlAq3dGzPXpVPMvHrck3fWN1ZdR+fNH0ffnBPvk
 T6VwaQ6UA5IiKZFLDTZ6Uy6NZW9K0rDuRJ4RwDQA=
X-Riseup-User-ID: 652A6917FC7067833F4B6FC7D0465DF2CB03407BC8F99BD0081EF658CBFCC326
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by capuchin.riseup.net (Postfix) with ESMTPSA id 893421203DC
 for <guix-patches@HIDDEN>; Thu, 27 Jun 2019 07:11:11 -0700 (PDT)
Subject: Re: [bug#35193] [PATCH v2 3/3] gnu: Add python-mypy
To: guix-patches@HIDDEN
References: <20190430152914.13616-1-jessejohngildersleve@HIDDEN>
 <20190430152914.13616-4-jessejohngildersleve@HIDDEN>
From: swedebugia <swedebugia@HIDDEN>
Message-ID: <74772c08-9903-6e23-357c-5928517ca53f@HIDDEN>
Date: Thu, 27 Jun 2019 16:11:07 +0200
MIME-Version: 1.0
In-Reply-To: <20190430152914.13616-4-jessejohngildersleve@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 198.252.153.129
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

On 2019-04-30 17:29, wednesday wrote:
> * gnu/packages/python-xyz.scm (python-mypy): New public variable.
> ---
>   gnu/packages/python-xyz.scm | 27 +++++++++++++++++++++++++++
>   1 file changed, 27 insertions(+)
> 
> diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
> index 01c065fc83..c528d2849d 100644
> --- a/gnu/packages/python-xyz.scm
> +++ b/gnu/packages/python-xyz.scm
> @@ -15679,3 +15679,30 @@ standard @code{typing} module that are supported by the mypy typechecker.")
>                (propagated-inputs
>                 `(("python2-typing" ,python2-typing)
>                   ,@(package-propagated-inputs mypy))))))
> +
> +(define-public python-mypy
> +  (package
> +    (name "python-mypy")
> +    (version "0.701")
> +    (source
> +     (origin
> +       (method url-fetch)
> +       (uri (pypi-uri "mypy" version))
> +       (sha256
> +        (base32
> +         "05479r3gbq17r22hyhxjg49smx5q864pgx8ayy23rsdj4w6z2r2p"))))
> +    (build-system python-build-system)
> +    ;; FIXME: tests freeze at 80%

We really would like to understand why these fail and mitigate if possible.

Have you reported this upstream?

> +    (arguments '(#:tests? #f))
> +    (propagated-inputs
> +     `(("python-mypy-extensions" ,python-mypy-extensions)
> +       ("python-typed-ast" ,python-typed-ast)
> +       ("python-psutil" ,python-psutil)))
> +    (home-page "http://www.mypy-lang.org/")
> +    (synopsis "Optional static typing for Python 3 and 2 (PEP 484)")
> +    (description "Add type annotations to your Python programs, and use mypy to type check
> +them.  

This phrase is a little eh weird. Could you rephrase to something like 
"Mypy checks type annotations..." or "Mypy is a ..."?

> Mypy is essentially a Python linter on steroids, and it can catch many programming
> +errors by analyzing your program, without actually having to run it.  Mypy has a powerful
> +type system with features such as type inference, gradual typing, generics and union
> +types.")
> +    (license license:expat)))


The LICENSE file contains this: "Portions of mypy are licensed under 
different licenses.  The files under stdlib-samples are licensed under 
the PSF 2 License, reproduced below."

Could you update the patch when you get an answer from upstream?

Thanks for the patch. :)

-- 
Cheers Swedebugia




Information forwarded to guix-patches@HIDDEN:
bug#35193; Package guix-patches. Full text available.

Message received at 35193 <at> debbugs.gnu.org:


Received: (at 35193) by debbugs.gnu.org; 30 Apr 2019 15:29:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 30 11:29:37 2019
Received: from localhost ([127.0.0.1]:42153 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hLUhM-0001uc-R9
	for submit <at> debbugs.gnu.org; Tue, 30 Apr 2019 11:29:37 -0400
Received: from sender-pp-o92.zoho.eu ([185.20.209.252]:25314)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jessejohngildersleve@HIDDEN>)
 id 1hLUhJ-0001uR-K0
 for 35193 <at> debbugs.gnu.org; Tue, 30 Apr 2019 11:29:33 -0400
ARC-Seal: i=1; a=rsa-sha256; t=1556638171; cv=none; d=zohomail.eu; s=zohoarc; 
 b=X5uAS5RLVkJ5itLMc/z+rVgF+TqtPdF3qiQMfzC+Mmhm36HAdQJggWjjeW1gxAyc6UcGnHM2ePbFNZ+m2o3gUkfZRuEn1xAwA1lodzZ0UrLDkgcJOHhw3gLnBxX5/fGjSDEuhehSVVykY/9MYqddOO7+OnIWkpitJuvWCSaNWXc=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zohomail.eu;
 s=zohoarc; t=1556638171;
 h=Content-Type:Content-Transfer-Encoding:Cc:Date:From:In-Reply-To:MIME-Version:Message-ID:References:Subject:To:ARC-Authentication-Results;
 bh=DIaYpyu/aeeA2M085u71dKATVEGi3E9vq8yQYUfakTo=; 
 b=KtonfQOidkM8bCctOl7AqbhGThg7vR8gG7JC5S3Zfv+DuFn3sV5mCV6W2Wwg8KkdQN9h/OHD8ENU84WzpFzOxpsETtAv2gs5XCZfO86QU4McD+H4RiHOC8KZUskebBuhHMHQde6JYTOOGeRv4rvoIU7JtxPkDT8YPI7sQmpJohc=
ARC-Authentication-Results: i=1; mx.zohomail.eu;
 dkim=pass  header.i=zohomail.eu;
 spf=pass  smtp.mailfrom=jessejohngildersleve@HIDDEN;
 dmarc=pass header.from=<jessejohngildersleve@HIDDEN>
 header.from=<jessejohngildersleve@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1556638171; 
 s=zoho; d=zohomail.eu; i=jessejohngildersleve@HIDDEN;
 h=From:To:Cc:Message-ID:Subject:Date:In-Reply-To:References:MIME-Version:Content-Transfer-Encoding:Content-Type;
 l=1606; bh=DIaYpyu/aeeA2M085u71dKATVEGi3E9vq8yQYUfakTo=;
 b=smycAcKjYq2NHfWY0sybeQnRfSaDFHkOr7PneJddldTLJXtRoEWuUjUeyy0kJ3Ym
 HHcm/yaJNbEqMZrFVwsa+i4M+WeZsMhDJ8aJTBPwsqV5fN1LSuZhlKvdvlnPA0OX54z
 6eCYGtuHrvrMynOdJ2VOws5RzJONrlEwdHYyUT9s=
Received: from wed.pc.home (cpc132926-bary5-2-0-cust58.know.cable.virginm.net
 [80.0.110.59]) by mx.zoho.eu
 with SMTPS id 1556638169323583.7287295348059;
 Tue, 30 Apr 2019 17:29:29 +0200 (CEST)
From: wednesday <jessejohngildersleve@HIDDEN>
To: 35193 <at> debbugs.gnu.org
Message-ID: <20190430152914.13616-4-jessejohngildersleve@HIDDEN>
Subject: [PATCH v2 3/3] gnu: Add python-mypy
Date: Tue, 30 Apr 2019 16:29:14 +0100
X-Mailer: git-send-email 2.21.0
In-Reply-To: <20190430152914.13616-1-jessejohngildersleve@HIDDEN>
References: <20190430152914.13616-1-jessejohngildersleve@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: quoted-printable
X-ZohoMailClient: External
Content-Type: text/plain; charset=utf8
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 35193
Cc: wednesday <jessejohngildersleve@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/python-xyz.scm (python-mypy): New public variable.
---
 gnu/packages/python-xyz.scm | 27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index 01c065fc83..c528d2849d 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -15679,3 +15679,30 @@ standard @code{typing} module that are supported b=
y the mypy typechecker.")
              (propagated-inputs
               `(("python2-typing" ,python2-typing)
                 ,@(package-propagated-inputs mypy))))))
+
+(define-public python-mypy
+  (package
+    (name "python-mypy")
+    (version "0.701")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "mypy" version))
+       (sha256
+        (base32
+         "05479r3gbq17r22hyhxjg49smx5q864pgx8ayy23rsdj4w6z2r2p"))))
+    (build-system python-build-system)
+    ;; FIXME: tests freeze at 80%
+    (arguments '(#:tests? #f))
+    (propagated-inputs
+     `(("python-mypy-extensions" ,python-mypy-extensions)
+       ("python-typed-ast" ,python-typed-ast)
+       ("python-psutil" ,python-psutil)))
+    (home-page "http://www.mypy-lang.org/")
+    (synopsis "Optional static typing for Python 3 and 2 (PEP 484)")
+    (description "Add type annotations to your Python programs, and use my=
py to type check
+them.  Mypy is essentially a Python linter on steroids, and it can catch m=
any programming
+errors by analyzing your program, without actually having to run it.  Mypy=
 has a powerful
+type system with features such as type inference, gradual typing, generics=
 and union
+types.")
+    (license license:expat)))
--=20
2.21.0







Information forwarded to guix-patches@HIDDEN:
bug#35193; Package guix-patches. Full text available.

Message received at 35193 <at> debbugs.gnu.org:


Received: (at 35193) by debbugs.gnu.org; 30 Apr 2019 15:29:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 30 11:29:36 2019
Received: from localhost ([127.0.0.1]:42151 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hLUhM-0001ua-H2
	for submit <at> debbugs.gnu.org; Tue, 30 Apr 2019 11:29:36 -0400
Received: from sender-pp-o92.zoho.eu ([185.20.209.252]:25313)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jessejohngildersleve@HIDDEN>)
 id 1hLUhH-0001u4-K1
 for 35193 <at> debbugs.gnu.org; Tue, 30 Apr 2019 11:29:32 -0400
ARC-Seal: i=1; a=rsa-sha256; t=1556638169; cv=none; d=zohomail.eu; s=zohoarc; 
 b=Sgcaw7CHWj/fBsp6mTElHInXMmHnYw1aGSyyL7GtL7xcFSlBGgb6cFmIwpgO4lw9rzjpV2tvvNe1s0xuPJ3U6T6XZC7/FyqeMDng4sSzG+sVVyxX9Lyd4Q0pssNahZ3QrBk6IJTdBbTQrPxFCcRzb0NeMeH/neBgIKOKr3xE1RY=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zohomail.eu;
 s=zohoarc; t=1556638169;
 h=Content-Type:Content-Transfer-Encoding:Cc:Date:From:In-Reply-To:MIME-Version:Message-ID:References:Subject:To:ARC-Authentication-Results;
 bh=7taK5KTlXiCJIHID9YfRNAGk7WG+TpD/BFctPjST+uQ=; 
 b=LKOSsn2i/JZEq1EZGr0PK3vOjS+5tUWX4cOWBhxnkm55KXE27mxDyOHHL/ZIYH/xDhn2RWaMrLBTmSaDgHwzY+v+jsBJzxjEnTULfUAnkgllAKlvN0xanztnuL4/ZxrJSVxFqsrqg6MBNN/8pIfM+8ObbbMLIdlfSrXWDzlAXMY=
ARC-Authentication-Results: i=1; mx.zohomail.eu;
 dkim=pass  header.i=zohomail.eu;
 spf=pass  smtp.mailfrom=jessejohngildersleve@HIDDEN;
 dmarc=pass header.from=<jessejohngildersleve@HIDDEN>
 header.from=<jessejohngildersleve@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1556638169; 
 s=zoho; d=zohomail.eu; i=jessejohngildersleve@HIDDEN;
 h=From:To:Cc:Message-ID:Subject:Date:In-Reply-To:References:MIME-Version:Content-Transfer-Encoding:Content-Type;
 l=1579; bh=7taK5KTlXiCJIHID9YfRNAGk7WG+TpD/BFctPjST+uQ=;
 b=NaBjrFDcj1b3CM6d3Sat5xhl2WnUxYHXQXtk/U5xWlJJMteNTIQPOZL+bn9xRu+D
 uJ75Fpepw/OkLKyx73kMTvh1jrfQk17Vg0K/IN/9y4Q/9RAmSEyVKGOP6hmQg4Rur0A
 QewJjmAQVoMem9C/ydZ6RvnjSsLuU8i4jjz1LIrc=
Received: from wed.pc.home (cpc132926-bary5-2-0-cust58.know.cable.virginm.net
 [80.0.110.59]) by mx.zoho.eu
 with SMTPS id 1556638168090286.7017344622186;
 Tue, 30 Apr 2019 17:29:28 +0200 (CEST)
From: wednesday <jessejohngildersleve@HIDDEN>
To: 35193 <at> debbugs.gnu.org
Message-ID: <20190430152914.13616-3-jessejohngildersleve@HIDDEN>
Subject: [PATCH v2 2/3] gnu: Add python-mypy-extensions
Date: Tue, 30 Apr 2019 16:29:13 +0100
X-Mailer: git-send-email 2.21.0
In-Reply-To: <20190430152914.13616-1-jessejohngildersleve@HIDDEN>
References: <20190430152914.13616-1-jessejohngildersleve@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: quoted-printable
X-ZohoMailClient: External
Content-Type: text/plain; charset=utf8
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 35193
Cc: wednesday <jessejohngildersleve@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/python-xyz.scm (python-mypy-extensions,
  python2-mypy-extensions): New public variables.
---
 gnu/packages/python-xyz.scm | 26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index 79271f0e41..01c065fc83 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -15653,3 +15653,29 @@ under which they are run.  The typed_ast parsers p=
roduce the standard Python AST
 (plus type comments), and are both fast and correct, as they are based on =
the
 CPython 2.7 and 3.6 parsers.")
     (license license:asl2.0)))
+
+(define-public python-mypy-extensions
+  (package
+    (name "python-mypy-extensions")
+    (version "0.4.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "mypy_extensions" version))
+       (sha256
+        (base32
+         "04h8brrbbx151dfa2cvvlnxgmb5wa00mhd2z7nd20s8kyibfkq1p"))))
+    (build-system python-build-system)
+    (home-page "http://www.mypy-lang.org/")
+    (synopsis "Experimental type system extensions for programs checked wi=
th mypy")
+    (description "The @code{mypy_extensions} module defines experimental e=
xtensions to the
+standard @code{typing} module that are supported by the mypy typechecker."=
)
+    (license license:expat)))
+
+(define-public python2-mypy-extensions
+  (let ((mypy (package-with-python2
+                   (strip-python2-variant python-mypy-extensions))))
+    (package (inherit mypy)
+             (propagated-inputs
+              `(("python2-typing" ,python2-typing)
+                ,@(package-propagated-inputs mypy))))))
--=20
2.21.0







Information forwarded to guix-patches@HIDDEN:
bug#35193; Package guix-patches. Full text available.

Message received at 35193 <at> debbugs.gnu.org:


Received: (at 35193) by debbugs.gnu.org; 30 Apr 2019 15:29:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 30 11:29:32 2019
Received: from localhost ([127.0.0.1]:42148 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hLUhI-0001u9-3Y
	for submit <at> debbugs.gnu.org; Tue, 30 Apr 2019 11:29:32 -0400
Received: from sender-pp-o92.zoho.eu ([185.20.209.252]:25341)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jessejohngildersleve@HIDDEN>)
 id 1hLUhE-0001tq-Pb
 for 35193 <at> debbugs.gnu.org; Tue, 30 Apr 2019 11:29:29 -0400
ARC-Seal: i=1; a=rsa-sha256; t=1556638167; cv=none; d=zohomail.eu; s=zohoarc; 
 b=AFaHWUSarc1Jvdw+K6v8Jqgj5Mr7ayMyRm4RwN4bk94rT2GMvJ+du+y75tODM/qTrYMQJJSQcsAevbpMi3lfMOdsX5dA07wPYSbq+4BeLR5fw0ctsJyziNaFoEZ9Bu5k5NyY3u7tE7Cks8czV4UrTWF6zVi9xOqS/5+R/ob2a50=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zohomail.eu;
 s=zohoarc; t=1556638167;
 h=Content-Type:Content-Transfer-Encoding:Cc:Date:From:MIME-Version:Message-ID:Subject:To:ARC-Authentication-Results;
 bh=QtdFPqcoVbps4Sd1Oka9/ARctnLkFF7xPljkDBxYz7A=; 
 b=b2yKwU2filRICNkHuk8/ZNveIOcor69z83mruvFDHZG9rSDfal6cu8WY9b46TXAsSPQfp4Y9CXF37NgW1JIukNthdZWnq8HI+ZeIWGxw24pM+wVNtCp4QdgOfBNQnknbLH6YzW6AQPFKFVf1Z7wnjS21APCZZp+pYxunLtZsdEQ=
ARC-Authentication-Results: i=1; mx.zohomail.eu;
 dkim=pass  header.i=zohomail.eu;
 spf=pass  smtp.mailfrom=jessejohngildersleve@HIDDEN;
 dmarc=pass header.from=<jessejohngildersleve@HIDDEN>
 header.from=<jessejohngildersleve@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1556638167; 
 s=zoho; d=zohomail.eu; i=jessejohngildersleve@HIDDEN;
 h=From:To:Cc:Message-ID:Subject:Date:MIME-Version:Content-Transfer-Encoding:Content-Type;
 l=571; bh=QtdFPqcoVbps4Sd1Oka9/ARctnLkFF7xPljkDBxYz7A=;
 b=Kvj7yB63PR1WZ0iEinVUeieB2MH6hcWGBqkX4Nqwm1iP0hYxlnQrs9BzULGEjFdE
 bvPzkOTA7PgT4TIr2XRKeyqP3M3cksL3tPsXEdv7ehUrhPZl1W7j+Pvf3JymB2wU+d3
 Ta+1ggpyGxFwPvoe4LOXoj1AeOYjbsmK1knUMm10=
Received: from wed.pc.home (cpc132926-bary5-2-0-cust58.know.cable.virginm.net
 [80.0.110.59]) by mx.zoho.eu
 with SMTPS id 155663816549674.26541629426936;
 Tue, 30 Apr 2019 17:29:25 +0200 (CEST)
From: wednesday <jessejohngildersleve@HIDDEN>
To: 35193 <at> debbugs.gnu.org
Message-ID: <20190430152914.13616-1-jessejohngildersleve@HIDDEN>
Subject: [PATCH v2 0/3] Updating and fixing mypy packages
Date: Tue, 30 Apr 2019 16:29:11 +0100
X-Mailer: git-send-email 2.21.0
MIME-Version: 1.0
Content-Transfer-Encoding: quoted-printable
X-ZohoMailClient: External
Content-Type: text/plain; charset=utf8
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 35193
Cc: wednesday <jessejohngildersleve@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

In these patches I updated the packages related to mypy, as well as mypy.
In addition to that I fixed an issue with python-mypy-extensions that was
causing mypy to fail when checking python3.

Also these patches were formatted and sent with git send-email, unlike
the other ones, so hopefully you'll have an easier time applying them.

wednesday (3):
  gnu: Add python-typed-ast
  gnu: Add python-mypy-extensions
  gnu: Add python-mypy

 gnu/packages/python-xyz.scm | 76 +++++++++++++++++++++++++++++++++++++
 1 file changed, 76 insertions(+)

--=20
2.21.0







Information forwarded to guix-patches@HIDDEN:
bug#35193; Package guix-patches. Full text available.

Message received at 35193 <at> debbugs.gnu.org:


Received: (at 35193) by debbugs.gnu.org; 30 Apr 2019 15:29:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 30 11:29:32 2019
Received: from localhost ([127.0.0.1]:42145 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hLUhH-0001u7-Le
	for submit <at> debbugs.gnu.org; Tue, 30 Apr 2019 11:29:32 -0400
Received: from sender-pp-o92.zoho.eu ([185.20.209.252]:25342)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jessejohngildersleve@HIDDEN>)
 id 1hLUhE-0001tp-RF
 for 35193 <at> debbugs.gnu.org; Tue, 30 Apr 2019 11:29:29 -0400
ARC-Seal: i=1; a=rsa-sha256; t=1556638167; cv=none; d=zohomail.eu; s=zohoarc; 
 b=O1/4z6zcxmleah/y4YYVYV/033CwIoZpVmAot67dGUcTaBU2AjutXgzrpIG7ZpuwUBrr323gjBVGbpy8Rj1kmHuzyXDIeNXt2J/+dWKfbhNJr/zKY6IODYrCBdpUyQXs0KWWTwMnp2MBIR7c64C1IbU/6Sh2Yah4H5XSRmLXInY=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zohomail.eu;
 s=zohoarc; t=1556638167;
 h=Content-Type:Content-Transfer-Encoding:Cc:Date:From:In-Reply-To:MIME-Version:Message-ID:References:Subject:To:ARC-Authentication-Results;
 bh=V5Gq24PC21easKNLovPWFDu4eaBwixvLrI8V24V9Ygs=; 
 b=XAHFTKFJBCyLYkXDqLsL5c4pOv70VMKV0KsI+RF4ItCwtAXKSxj1wJLmbUsYmY3i3vozWM9vrvReDv4Xw6U+8f6lXy5/D1By7fsbB/kfVEL4ZJusn3Zy+96S98wyNO7iLqjZ3lkJljTwxROwSEDDU0f2xVRszb/whPzNSO4wChw=
ARC-Authentication-Results: i=1; mx.zohomail.eu;
 dkim=pass  header.i=zohomail.eu;
 spf=pass  smtp.mailfrom=jessejohngildersleve@HIDDEN;
 dmarc=pass header.from=<jessejohngildersleve@HIDDEN>
 header.from=<jessejohngildersleve@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1556638167; 
 s=zoho; d=zohomail.eu; i=jessejohngildersleve@HIDDEN;
 h=From:To:Cc:Message-ID:Subject:Date:In-Reply-To:References:MIME-Version:Content-Type:Content-Transfer-Encoding;
 l=1865; bh=V5Gq24PC21easKNLovPWFDu4eaBwixvLrI8V24V9Ygs=;
 b=aMR7PFucaFfCVnzV+u9zojNDWPe3fLYZ4O3lTHq+V57nOs09ESEVf/G3ATPrD3Q1
 yxEBxiliLewzPFe7SBvVqFabACdfY/2faJmSuyCxKdT5uqVAXFEbVuflyEho0ivkI//
 BmPQHmo0gcXk9yx7oqu2c9I11jtxWQxrjBYR2Pvg=
Received: from wed.pc.home (cpc132926-bary5-2-0-cust58.know.cable.virginm.net
 [80.0.110.59]) by mx.zoho.eu
 with SMTPS id 1556638166915712.348147789568;
 Tue, 30 Apr 2019 17:29:26 +0200 (CEST)
From: wednesday <jessejohngildersleve@HIDDEN>
To: 35193 <at> debbugs.gnu.org
Message-ID: <20190430152914.13616-2-jessejohngildersleve@HIDDEN>
Subject: [PATCH v2 1/3] gnu: Add python-typed-ast
Date: Tue, 30 Apr 2019 16:29:12 +0100
X-Mailer: git-send-email 2.21.0
In-Reply-To: <20190430152914.13616-1-jessejohngildersleve@HIDDEN>
References: <20190430152914.13616-1-jessejohngildersleve@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-ZohoMailClient: External
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 35193
Cc: wednesday <jessejohngildersleve@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/python-xyz.scm (python-typed-ast): New public variable.
---
 gnu/packages/python-xyz.scm | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index 35147ebfa7..79271f0e41 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -59,6 +59,7 @@
 ;;; Copyright =C2=A9 2018 Vagrant Cascadian <vagrant@HIDDEN>
 ;;; Copyright =C2=A9 2019 Brett Gilio <brettg@HIDDEN>
 ;;; Copyright =C2=A9 2019 Sam <smbaines8@HIDDEN>
+;;; Copyright =C2=A9 2019 Jesse John Gildersleve <jessejohngildersleve@zoh=
omail.eu>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -15630,3 +15631,25 @@ processes may share the same data.")
     (description "A Sphinx extension to convert SVG images to PDF in case =
the builder does not support
 SVG images natively (e.g. LaTeX).")
     (license license:bsd-3)))
+
+(define-public python-typed-ast
+  (package
+    (name "python-typed-ast")
+    (version "1.3.5")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "typed-ast" version))
+       (sha256
+        (base32
+         "1m7pr6qpana3cvqwiw7mlvrgvmw27ch5mx1592572xhlki8g85ak"))))
+    (build-system python-build-system)
+    (home-page "https://github.com/python/typed_ast")
+    (synopsis "Fork of Python 2 and 3 ast modules with type comment suppor=
t")
+    (description "Typed_ast is a Python 3 package that provides a Python 2=
.7 and
+Python 3 parser similar to the standard ast library.  Unlike ast, the pars=
ers in
+typed_ast include PEP 484 type comments and are independent of the version=
 of Python
+under which they are run.  The typed_ast parsers produce the standard Pyth=
on AST
+(plus type comments), and are both fast and correct, as they are based on =
the
+CPython 2.7 and 3.6 parsers.")
+    (license license:asl2.0)))
--=20
2.21.0







Information forwarded to guix-patches@HIDDEN:
bug#35193; Package guix-patches. Full text available.

Message received at 35193 <at> debbugs.gnu.org:


Received: (at 35193) by debbugs.gnu.org; 8 Apr 2019 14:23:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 08 10:23:46 2019
Received: from localhost ([127.0.0.1]:50082 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hDVBa-0002bV-3v
	for submit <at> debbugs.gnu.org; Mon, 08 Apr 2019 10:23:46 -0400
Received: from mail-40130.protonmail.ch ([185.70.40.130]:43605)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <JesseJohnGildersleve@HIDDEN>)
 id 1hDVBY-0002bI-FL
 for 35193 <at> debbugs.gnu.org; Mon, 08 Apr 2019 10:23:44 -0400
Date: Mon, 08 Apr 2019 14:23:33 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=default; t=1554733418;
 bh=b475fkLIheIm70GNkGhx9Y1R4S+NCR2hH6YGO+AR+Kk=;
 h=Date:To:From:Reply-To:Subject:Feedback-ID:From;
 b=f/531OuQYcrBxT6CxFs597DtB2fc391FXEZwiIk/SmlsiTWUyvX9hNkIg4yIqwVby
 0YyXXq0IefW5+mH/sAmiOf940dUKfuuZrWY+TiWbk2d1djhBnuaPowfVDuME7CeCiv
 jniR29h4EiHjr8tKVuIvQyokkjnVuuI2Eqkza3BI=
To: "35193 <at> debbugs.gnu.org" <35193 <at> debbugs.gnu.org>
From: JesseJohnGildersleve <JesseJohnGildersleve@HIDDEN>
Subject: [PATCH 3/3] Add python-mypy
Message-ID: <3IVQb1J6z9j9U5yWdRLpzad564-kbH6bJWXMh054ojASWO6UgyWmKmls20D3yhjKr7zc97ZT-Ts5emS4RsmMuRU9X2zIquw8pivqiq_wLNs=@protonmail.com>
Feedback-ID: 7-zRRifrG2aHc77npheAam6ujzth-Q9KiS4b6nf44xovsSC04WgboBMX7mmHPqgdgjkY6d5IfwJvecMtl_rVqw==:Ext:ProtonMail
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=7.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM autolearn=ham
 autolearn_force=no version=3.4.2
X-Spam-Checker-Version: SpamAssassin 3.4.2 (2018-09-13) on mail.protonmail.ch
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 35193
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: JesseJohnGildersleve <JesseJohnGildersleve@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

From e3d67303de7f73c6af6eab6360ee3a414e175488 Mon Sep 17 00:00:00 2001
From: frozenpigs <purpjuice@HIDDEN>
Date: Mon, 8 Apr 2019 14:35:50 +0100
Subject: [PATCH 3/3] gnu: add python-mypy

---
 gnu/packages/python-xyz.scm | 27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index 27f1e1de08..1cb5cfaade 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -15365,3 +15365,30 @@ standard =E2=80=9Ctyping=E2=80=9D module that are =
supported by the mypy typechecker.")

 (define-public python2-mypy-extensions
   (package-with-python2 python-mypy-extensions))
+
+(define-public python-mypy
+  (package
+    (name "python-mypy")
+    (version "0.700")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "mypy" version))
+       (sha256
+        (base32
+         "1zxfi5s9hxrz0hbaj4n513az17l44pxl80r62ipjc0bsmbcic2xi"))))
+    (build-system python-build-system)
+    ;; FIXME: mypy issue #5562, requires pytest
+    (arguments '(#:tests? #f))
+    (propagated-inputs
+     `(("python-mypy-extensions" ,python-mypy-extensions)
+       ("python-typed-ast" ,python-typed-ast)
+       ("python-psutil" ,python-psutil)))
+    (home-page "http://www.mypy-lang.org/")
+    (synopsis "Optional static typing for Python (mypyc-compiled version)"=
)
+    (description "Add type annotations to your Python programs, and use my=
py to type check
+them.  Mypy is essentially a Python linter on steroids, and it can catch m=
any programming
+errors by analyzing your program, without actually having to run it.  Mypy=
 has a powerful
+type system with features such as type inference, gradual typing, generics=
 and union
+types.")
+    (license license:expat)))
--
2.21.0





Information forwarded to guix-patches@HIDDEN:
bug#35193; Package guix-patches. Full text available.

Message received at 35193 <at> debbugs.gnu.org:


Received: (at 35193) by debbugs.gnu.org; 8 Apr 2019 14:22:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 08 10:22:04 2019
Received: from localhost ([127.0.0.1]:50068 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hDV9w-0002Y4-IP
	for submit <at> debbugs.gnu.org; Mon, 08 Apr 2019 10:22:04 -0400
Received: from mail-40135.protonmail.ch ([185.70.40.135]:61563)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <JesseJohnGildersleve@HIDDEN>)
 id 1hDV9u-0002XQ-G8
 for 35193 <at> debbugs.gnu.org; Mon, 08 Apr 2019 10:22:03 -0400
Date: Mon, 08 Apr 2019 14:21:53 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=default; t=1554733316;
 bh=9dv0IO8poBSfvowTlSsOmmsBTXEsAKRE+pth0mbLyfo=;
 h=Date:To:From:Reply-To:Subject:Feedback-ID:From;
 b=ZdXHWJdppri1GQgB4v5h8vxpfLXOh+HqmM76V+/uTkjIFoPcofNKeiPbFoda/jg04
 bXC0BP5LvCV8+1vDOVI3LAUInMI3j++rqkPS9EZ5rlZvqhXaHzw6IGwT4A8W+BcFXM
 qbzzPLVG8v2OO4mAsTYjy1rMiXEbueznRFB3gIDE=
To: "35193 <at> debbugs.gnu.org" <35193 <at> debbugs.gnu.org>
From: JesseJohnGildersleve <JesseJohnGildersleve@HIDDEN>
Subject: [PATCH 2/3] Add python-mypy-extensions
Message-ID: <EIbrlUgbttK_CglbGins40wf0ibxASDV0yECWDwGQ0SJdFStFknwrtWqBQYEPCYJ2bLN8uv6-w_1OZ83OFEhvnxCZARt6oBWH1L5CIHuucI=@protonmail.com>
Feedback-ID: 7-zRRifrG2aHc77npheAam6ujzth-Q9KiS4b6nf44xovsSC04WgboBMX7mmHPqgdgjkY6d5IfwJvecMtl_rVqw==:Ext:ProtonMail
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=7.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM autolearn=ham
 autolearn_force=no version=3.4.2
X-Spam-Checker-Version: SpamAssassin 3.4.2 (2018-09-13) on mail.protonmail.ch
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 35193
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: JesseJohnGildersleve <JesseJohnGildersleve@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

From e968e9787457781552fa229f6d1c5f15e473de1c Mon Sep 17 00:00:00 2001
From: frozenpigs <purpjuice@HIDDEN>
Date: Mon, 8 Apr 2019 14:35:01 +0100
Subject: [PATCH 2/3] gnu: add python-mypy-extensions and
 python2-mypy-extensions

---
 gnu/packages/python-xyz.scm | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index b5bfd6a261..27f1e1de08 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -15342,3 +15342,26 @@ under which they are run.  The typed_ast parsers p=
roduce the standard Python AST
 (plus type comments), and are both fast and correct, as they are based on =
the
 CPython 2.7 and 3.6 parsers.")
     (license license:asl2.0)))
+
+(define-public python-mypy-extensions
+  (package
+    (name "python-mypy-extensions")
+    (version "0.4.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "mypy_extensions" version))
+       (sha256
+        (base32
+         "04h8brrbbx151dfa2cvvlnxgmb5wa00mhd2z7nd20s8kyibfkq1p"))))
+    (build-system python-build-system)
+    (propagated-inputs
+     `(("python-typing" ,python-typing)))
+    (home-page "http://www.mypy-lang.org/")
+    (synopsis "Experimental type system extensions for programs checked wi=
th mypy")
+    (description "The =E2=80=9Cmypy_extensions=E2=80=9D module defines exp=
erimental extensions to the
+standard =E2=80=9Ctyping=E2=80=9D module that are supported by the mypy ty=
pechecker.")
+    (license license:expat)))
+
+(define-public python2-mypy-extensions
+  (package-with-python2 python-mypy-extensions))
--
2.21.0





Information forwarded to guix-patches@HIDDEN:
bug#35193; Package guix-patches. Full text available.

Message received at 35193 <at> debbugs.gnu.org:


Received: (at 35193) by debbugs.gnu.org; 8 Apr 2019 14:21:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 08 10:21:12 2019
Received: from localhost ([127.0.0.1]:50064 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hDV96-0002WR-6E
	for submit <at> debbugs.gnu.org; Mon, 08 Apr 2019 10:21:12 -0400
Received: from mail-40130.protonmail.ch ([185.70.40.130]:24976)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <JesseJohnGildersleve@HIDDEN>)
 id 1hDV93-0002WA-E0
 for 35193 <at> debbugs.gnu.org; Mon, 08 Apr 2019 10:21:10 -0400
Date: Mon, 08 Apr 2019 14:20:56 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=default; t=1554733263;
 bh=jX/8JG6K1+6PYJMdyHTK//kqGtbXDlmIzaXjWE+PPAc=;
 h=Date:To:From:Reply-To:Subject:Feedback-ID:From;
 b=cdQBejXPRE+K9JQ/qms/52yWtarJ2aF8AYAG8F6TdEFhoDF0gQVP6devk8RE6JYyo
 H6yV391lmjfYqCmxDZZOcwhQra8MdUumoqV3SYrULOcopZ5ala5x6XMSDVyD7nC/J9
 bu0G0efGFQL/5zp9c+0L+7F4VRNnoeEZY4Ckn0GE=
To: "35193 <at> debbugs.gnu.org" <35193 <at> debbugs.gnu.org>
From: JesseJohnGildersleve <JesseJohnGildersleve@HIDDEN>
Subject: [PATCH 1/3] Add python-typed-ast
Message-ID: <hL9Eqz5ZF52qkUkWX3OiX156-pQOztKX1Oq5cZuhJsYQvSm6FBiDf4_MWuLutrYQjxAasR9wcgQUF6s0y-LM-ucT5ICeGdi2cFYy1DRLbZM=@protonmail.com>
Feedback-ID: 7-zRRifrG2aHc77npheAam6ujzth-Q9KiS4b6nf44xovsSC04WgboBMX7mmHPqgdgjkY6d5IfwJvecMtl_rVqw==:Ext:ProtonMail
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=7.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM autolearn=ham
 autolearn_force=no version=3.4.2
X-Spam-Checker-Version: SpamAssassin 3.4.2 (2018-09-13) on mail.protonmail.ch
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 35193
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: JesseJohnGildersleve <JesseJohnGildersleve@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

From ad2b363f11805002bee96d1471bff8471c0a1711 Mon Sep 17 00:00:00 2001
From: frozenpigs <purpjuice@HIDDEN>
Date: Mon, 8 Apr 2019 14:34:19 +0100
Subject: [PATCH 1/3] gnu: add python-typed-ast

---
 gnu/packages/python-xyz.scm | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index 014026d06e..b5bfd6a261 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -59,6 +59,7 @@
 ;;; Copyright =C2=A9 2018 Vagrant Cascadian <vagrant@HIDDEN>
 ;;; Copyright =C2=A9 2019 Brett Gilio <brettg@HIDDEN>
 ;;; Copyright =C2=A9 2019 Sam <smbaines8@HIDDEN>
+;;; Copyright =C2=A9 2019 Jesse Gildersleve <jessejohngildersleve@protonma=
il.com>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -15319,3 +15320,25 @@ processes may share the same data.")
     (description "A Sphinx extension to convert SVG images to PDF in case =
the builder does not support
 SVG images natively (e.g. LaTeX).")
     (license license:bsd-3)))
+
+(define-public python-typed-ast
+  (package
+    (name "python-typed-ast")
+    (version "1.3.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "typed-ast" version))
+       (sha256
+        (base32
+         "095l1jfxk1k2z5sijbirg2s5a01r4ig3715zqa075xzf0zx8lvb0"))))
+    (build-system python-build-system)
+    (home-page "https://github.com/python/typed_ast")
+    (synopsis "Fork of Python 2 and 3 ast modules with type comment suppor=
t")
+    (description "Typed_ast is a Python 3 package that provides a Python 2=
.7 and
+Python 3 parser similar to the standard ast library.  Unlike ast, the pars=
ers in
+typed_ast include PEP 484 type comments and are independent of the version=
 of Python
+under which they are run.  The typed_ast parsers produce the standard Pyth=
on AST
+(plus type comments), and are both fast and correct, as they are based on =
the
+CPython 2.7 and 3.6 parsers.")
+    (license license:asl2.0)))
--
2.21.0





Information forwarded to guix-patches@HIDDEN:
bug#35193; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 8 Apr 2019 14:17:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 08 10:17:44 2019
Received: from localhost ([127.0.0.1]:50051 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hDV5j-0002OA-L5
	for submit <at> debbugs.gnu.org; Mon, 08 Apr 2019 10:17:44 -0400
Received: from eggs.gnu.org ([209.51.188.92]:59249)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <JesseJohnGildersleve@HIDDEN>)
 id 1hDUa2-0001Kp-6O
 for submit <at> debbugs.gnu.org; Mon, 08 Apr 2019 09:44:59 -0400
Received: from lists.gnu.org ([209.51.188.17]:49225)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <JesseJohnGildersleve@HIDDEN>)
 id 1hDUZw-0003A6-Rz
 for submit <at> debbugs.gnu.org; Mon, 08 Apr 2019 09:44:52 -0400
Received: from eggs.gnu.org ([209.51.188.92]:45396)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <JesseJohnGildersleve@HIDDEN>)
 id 1hDUZu-0003uq-Ty
 for guix-patches@HIDDEN; Mon, 08 Apr 2019 09:44:52 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.6 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
 RCVD_IN_DNSWL_LOW,URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <JesseJohnGildersleve@HIDDEN>)
 id 1hDUZu-000395-0c
 for guix-patches@HIDDEN; Mon, 08 Apr 2019 09:44:50 -0400
Received: from mail-40133.protonmail.ch ([185.70.40.133]:64619)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <JesseJohnGildersleve@HIDDEN>)
 id 1hDUZt-00036x-Ev
 for guix-patches@HIDDEN; Mon, 08 Apr 2019 09:44:49 -0400
Date: Mon, 08 Apr 2019 13:44:38 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=default; t=1554731085;
 bh=bEN55PtfUDBsEWCgCwIQ5EBLuVBmn9Temmq0/luMUpM=;
 h=Date:To:From:Reply-To:Subject:Feedback-ID:From;
 b=EyU5veGelrYbgvuocXRuOKL+YLJ69EcoajnEjSNVSkKSd7vDUs5GSwIEila3xZESr
 WcwyeRPKizs6RLlan8hROLB9uNtbYJTqjdoARpM0Dlv0MQKkLOFwm0IIgbhGuZHSJY
 vcPYPcOB0ABsJydWJizCBrs+Pb6yVIypkiCHPCX4=
To: "guix-patches@HIDDEN" <guix-patches@HIDDEN>
From: JesseJohnGildersleve <JesseJohnGildersleve@HIDDEN>
Subject: [PATCH 0/3] Add python-mypy and required packages
Message-ID: <clcw9plVchj9b2Re4ypNFSB9-744wR__yl_rGITHVjSpti_knLYaKGtf94hTTll1Ss-hgoQY96M27EVB8iQuLfihg11ddVFLTBNbRGWXKIE=@protonmail.com>
Feedback-ID: 7-zRRifrG2aHc77npheAam6ujzth-Q9KiS4b6nf44xovsSC04WgboBMX7mmHPqgdgjkY6d5IfwJvecMtl_rVqw==:Ext:ProtonMail
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 185.70.40.133
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Mon, 08 Apr 2019 10:17:42 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: JesseJohnGildersleve <JesseJohnGildersleve@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

The next 3 patches will add python-mypy, and its dependencies python-typed-=
ast and python-mypy-extension/python2-mypy-extension. This is a program for=
 type checking python code.




Acknowledgement sent to JesseJohnGildersleve <JesseJohnGildersleve@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#35193; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.